summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndré Klitzing2021-02-26 15:43:54 +0100
committerAndré Klitzing2021-02-26 15:43:54 +0100
commit241e7da1fc3100db8a954c688cb4a82a2e856e2c (patch)
treee0b03c181453d1e0e5a6ea5c2498f86e76091cfa
parent92bc06879fbacfa04d51a595c402b35e1cde79a1 (diff)
downloadaur-epson-inkjet-printer-201204j.tar.gz
Update all PKGBUILDs
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD26
2 files changed, 13 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a3a055df767..060ec288b58 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = epson-inkjet-printer-201204j
pkgdesc = Epson printer driver (PX-045A)
pkgver = 1.0.0
- pkgrel = 9
+ pkgrel = 10
url = http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index f278b1164d1..f351d9082e1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@ pkgname=epson-inkjet-printer-201204j
_pkgname_filter=epson-inkjet-printer-filter
_suffix=1lsb3.2.src.rpm
pkgver=1.0.0
-pkgrel=9
+pkgrel=10
pkgdesc="Epson printer driver (PX-045A)"
arch=('i686' 'x86_64')
url="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
@@ -14,40 +14,38 @@ depends=('cups' 'ghostscript')
source=(http://download.ebz.epson.net/dsc/op/stable/SRPMS/${pkgname}-${pkgver}-${_suffix} fixbuild.patch)
build() {
- cd "$srcdir"
+ cd "$srcdir" || exit
tar xzf $pkgname-$pkgver.tar.gz
- FILTER_FILE=`ls $_pkgname_filter*.tar.gz`
+ FILTER_FILE=$(ls $_pkgname_filter*.tar.gz)
tar xzf $FILTER_FILE
- cd "${FILTER_FILE%.tar.gz}"
+ cd "${FILTER_FILE%.tar.gz}" || exit
patch -p1 -i "$srcdir"/fixbuild.patch
- aclocal
- libtoolize
- chmod +x configure
+ autoreconf -f -i
# if you have runtime problems: add "--enable-debug" and look into /tmp/epson-inkjet-printer-filter.txt
./configure LDFLAGS="$LDFLAGS -Wl,--no-as-needed" --prefix=/opt/$pkgname
make
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$srcdir/$pkgname-$pkgver" || exit
install -d "$pkgdir/opt/$pkgname/"
if [ "$CARCH" = "x86_64" ]; then
- cp -a --no-preserve=mode lib64 "$pkgdir/opt/$pkgname/"
+ cp -a --no-preserve=mode lib64 "$pkgdir/opt/$pkgname/"
else
- cp -a --no-preserve=mode lib "$pkgdir/opt/$pkgname/"
+ cp -a --no-preserve=mode lib "$pkgdir/opt/$pkgname/"
fi
cp -a --no-preserve=mode resource "$pkgdir/opt/$pkgname/"
if [ -e "watermark" ]; then
- cp -a --no-preserve=mode watermark "$pkgdir/opt/$pkgname/"
+ cp -a --no-preserve=mode watermark "$pkgdir/opt/$pkgname/"
fi
install -d "$pkgdir/usr/share/cups/model/$pkgname"
install -m 644 ppds/* "$pkgdir/usr/share/cups/model/$pkgname"
- cd "$srcdir"
- FILTER_FILE=`ls $_pkgname_filter*.tar.gz`
- cd "${FILTER_FILE%.tar.gz}"
+ cd "$srcdir" || exit
+ FILTER_FILE=$(ls $_pkgname_filter*.tar.gz)
+ cd "${FILTER_FILE%.tar.gz}" || exit
install -d "$pkgdir/opt/$pkgname/cups/lib/filter/"
install -m 755 src/epson_inkjet_printer_filter "$pkgdir/opt/$pkgname/cups/lib/filter/epson_inkjet_printer_filter"
}